| kbd.h | Header File

Header File Index

Keyboard handling routines

Language Extensions

BEGIN_KEYTEST
  Starts a _keytest_optimized block.
END_KEYTEST
  Ends a _keytest_optimized block.

Functions

_keytest_optimized
  Optimized low-level keyboard reading for single keys.
_keytest
  Low-level keyboard reading for single keys.
_rowread_internal
  Low-level keyboard reading without inverting.
_rowread_inverted
  Low-level keyboard reading with inverting.
_rowread
  Low-level keyboard reading.
alphaLockOff
  Turns the alpha-lock off on the TI-89.
alphaLockOn
  Turns the alpha-lock on on the TI-89.
GetAlphaStatus
  Returns the current alpha-lock status.
GKeyDown
  Checks for currently-available keystrokes.
GKeyFlush
  Flushes the keyboard queue.
GKeyIn
  Gets character from the keyboard, with additional possibilities.
kbhit
  Checks for unread keystrokes.
KeyYesOrNo
  Checks if a key value represents a 'yes' or 'no' key.
ngetchx
  Gets character from the keyboard, without echoing to the screen.
OSGetStatKeys
  Checks whether an arrow key (TI-89) or status key (TI-92+) is pressed.
OSInitBetweenKeyDelay
  Sets the rate at which a key autorepeats.
OSInitKeyInitDelay
  Sets the initial autorepeat key delay.
pushkey
  Replaces the keystroke in the keyboard queue with the given code.
restoreAlphaLock
  Restores the alpha-lock status.
SetAlphaStatus
  Sets the alpha-lock status on the TI-89.

Global Variables

OSFastArrows
  A variable determining whether arrow keys are repeated slowly or quickly.

Constants

KB_AUTOREPEAT
  A constant defining the "auto-repeat" bit.
NULL
  A null-pointer value.

Predefined Types

Arrows
  An enumeration for describing the four arrow keys.
Bool
  An enumeration to describe true or false values.
CommonKeys
  An enumeration for describing common key codes.
GKeyFlags
  Enumerates different key options flags for the GKeyIn routine.
SCR_RECT
  A scructure for defining a rectangular area.
StatKeys
  An enumeration for describing modifier key values.